## org.gnu.glib
Class MemStruct

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.MemStruct

Direct Known Subclasses:
  AccelKey, ActionEntry, Attribute, AttrIterator, BindingSet, Coverage, Error, Geometry, ItemFactoryEntry, KeymapKey, LayoutLine, MainLoop, PixbufFormat, Point, RadioActionEntry, Rc, Rectangle, Region, RgbCmap, Segment, Span, TargetEntry, TextAppearance, ToggleActionEntry, ToolTipsData, Value, WidgetAuxInfo, WindowAttr

public class MemStruct
extends org.gnu.glib.Struct

Class for memory management of structs. Should be renamed to Struct once we rename org.javagnome.Struct to org.javagnome.Proxy.

Constructor Summary
`MemStruct()`
`MemStruct(org.gnu.glib.Handle handle)`

Method Summary
`static MemStruct` `getMemStructFromHandle(org.gnu.glib.Handle handle)`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MemStruct

    public MemStruct()

### MemStruct

    public MemStruct(org.gnu.glib.Handle handle)

Method Detail

### getMemStructFromHandle

    public static MemStruct getMemStructFromHandle(org.gnu.glib.Handle handle)